StreamEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dvb.dsmcc
Class StreamEvent

    java.lang.Object
      java.util.EventObject
          org.dvb.dsmcc.StreamEvent

All Implemented Interfaces:
  Serializable

    public class StreamEvent

extends EventObject

This class describes a Stream event which is used to synchronize an application with an MPEG Stream. NOTE: The NPT mechanism and scheduled stream events that depend on it are known to be vulnerable to disruption in many digital TV distribution networks. Existing deployed network equipment that re-generates the STC is unlikely to be aware of NPT and hence will not make the necessary corresponding modification to STC values inside NPT reference descriptors. This may cause scheduled stream events to fire at the wrong time or to never fire at all. Applications should only use scheduled stream events where they are confident that the network where they are to be used does not have this problem.

See Also:
  Serialized Form

Constructor Summary
`StreamEvent(DSMCCStreamEvent source, long npt, String name, int eventId, byte[] eventData)` Creates a StreamEvent object.

Method Summary
`byte[]` | `getEventData()` This method is used to retrieve the private data associated with the event.
`int` | `getEventId()` This method is used to get the identifier of the StreamEvent.
`String` | `getEventName()` This method is used to get the name of the StreamEvent
`long` | `getEventNPT()` This method is used to get the NPT of the Event in milliseconds.
`Object` | `getSource()` This method returns the DSMCCStreamEvent that generated the event.

Methods inherited from class java.util.EventObject
`toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StreamEvent

    public StreamEvent(DSMCCStreamEvent source,
                       long npt,
                       String name,
                       int eventId,
                       byte[] eventData)

  Creates a StreamEvent object.

  Parameters:
    `source` - The `DSMCCStreamEvent` that has generated the event.
    `npt` - The value of the NPT (Normal Play Time) when the event is triggered. This value is equal to the field eventNPT in the DSMCC StreamEventDescriptor except where the event is a "do it now" event in which case the value -1 is returned (as the value of NPT may not be meaningful).
    `name` - The name of this event. The list of event names is located in the DSMCC StreamEvent object. This list is returned by the method `DSMCCStreamEvent.getEventList`.
    `eventId` - The eventId of this event. The list of event IDs is located in the DSMCC StreamEvent object.
    `eventData` - The application specific data found in the DSMCC StreamEventDescriptor.

Method Detail

### getSource

    public Object getSource()

  This method returns the DSMCCStreamEvent that generated the event.

  Overrides:
    `getSource` in class `EventObject`
  Returns:
    the DSMCCStreamEvent that generated the event.

### getEventName

    public String getEventName()

  This method is used to get the name of the StreamEvent

  Returns:
    the name of the StreamEvent

### getEventId

    public int getEventId()

  This method is used to get the identifier of the StreamEvent.

  Returns:
    The identifier of the StreamEvent.

### getEventNPT

    public long getEventNPT()

  This method is used to get the NPT of the Event in milliseconds.

  Returns:
    The NPT of the Event in milliseconds.

### getEventData

    public byte[] getEventData()

  This method is used to retrieve the private data associated with the event.

  Returns:
    The private data associated with the event.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD